package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CriminalRate;
import com.lightinit.hsdatashow.entity.CriminalRateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CriminalRateMapper {
    long countByExample(CriminalRateExample example);

    int deleteByExample(CriminalRateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CriminalRate record);

    int insertSelective(CriminalRate record);

    List<CriminalRate> selectByExample(CriminalRateExample example);

    CriminalRate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CriminalRate record, @Param("example") CriminalRateExample example);

    int updateByExample(@Param("record") CriminalRate record, @Param("example") CriminalRateExample example);

    int updateByPrimaryKeySelective(CriminalRate record);

    int updateByPrimaryKey(CriminalRate record);
}